Page MenuHomePhabricator

Lost connection to MySQL server during query
Closed, ResolvedPublic

Description

Query: select distinct el_to from externallinks join page on el_from = page_id where page_namespace = 0
Database: s2/dewiki
User: s51072

Last time working: 2015-06-01

Could you add an exception to make it work again or provide a different solution (I want a list of externallinks in article namespace every two weeks).

Event Timeline

Giftpflanze raised the priority of this task from to Needs Triage.
Giftpflanze updated the task description. (Show Details)
Giftpflanze added a subscriber: Giftpflanze.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 1:01 PM
valhallasw triaged this task as High priority.Jul 31 2015, 7:43 PM
valhallasw added a subscriber: valhallasw.

Can you provide some more information? How are you querying, and what is the exact error you're getting?

valhallasw moved this task from Triage to Backlog on the Toolforge board.Aug 2 2015, 1:11 PM
Giftpflanze closed this task as Resolved.Aug 2 2015, 4:55 PM
Giftpflanze claimed this task.

error:

mysqlreceive/db server: Lost connection to MySQL server during query
   while executing
"mysqlreceive [set db [get_db dewiki]] {select distinct el_to from externallinks join page on el_from = page_id where page_namespace = 0} url {
       if [ca..."
   (file "/data/project/giftbot/dwl1a.tcl" line 18)

tcl source code:

mysqlreceive [set db [get_db dewiki]] {select distinct el_to from externallinks join page on el_from = page_id where page_namespace = 0} url {
  #[short url checking]
  puts $url
}

I was trying to break it up into 2 steps:

  • print urls
  • see if i want to check them later (based on domain)

As it turns out that saves some critical time (it's much faster, who would have thought … ugh).